GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
endpoint.c File Reference
`#include "src/core/iomgr/endpoint.h"`

## Functions
void | grpc_endpoint_notify_on_read (grpc_endpoint *ep, grpc_endpoint_read_cb cb, void *user_data)
grpc_endpoint_write_status | grpc_endpoint_write (grpc_endpoint *ep, gpr_slice *slices, size_t nslices, grpc_endpoint_write_cb cb, void *user_data)
void | grpc_endpoint_add_to_pollset (grpc_endpoint *ep, grpc_pollset *pollset)
void | grpc_endpoint_add_to_pollset_set (grpc_endpoint *ep, grpc_pollset_set *pollset_set)
void | grpc_endpoint_shutdown (grpc_endpoint *ep)
void | grpc_endpoint_destroy (grpc_endpoint *ep)
char * | grpc_endpoint_get_peer (grpc_endpoint *ep)

## Function Documentation

void grpc_endpoint_add_to_pollset | ( | grpc_endpoint * | ep,
|  | grpc_pollset * | pollset
| ) |  |

void grpc_endpoint_add_to_pollset_set | ( | grpc_endpoint * | ep,
|  | grpc_pollset_set * | pollset_set
| ) |  |

void grpc_endpoint_destroy | ( | grpc_endpoint * | ep | ) |

char* grpc_endpoint_get_peer | ( | grpc_endpoint * | ep | ) |

void grpc_endpoint_notify_on_read | ( | grpc_endpoint * | ep,
|  | grpc_endpoint_read_cb | cb,
|  | void * | user_data
| ) |  |

void grpc_endpoint_shutdown | ( | grpc_endpoint * | ep | ) |

grpc_endpoint_write_status grpc_endpoint_write | ( | grpc_endpoint * | ep,
|  | gpr_slice * | slices,
|  | size_t | nslices,
|  | grpc_endpoint_write_cb | cb,
|  | void * | user_data
| ) |  |